Page MenuHomePhabricator

Treat lazy loaded images inside li elements as inline
Closed, ResolvedPublic1 Story Points

Description

Our new rule and fix for T143558 only applies to lazy loaded images inside span elements but should probably also apply to li elements.

https://en.m.wikivoyage.org/wiki/San_Francisco#Consulates

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2016, 11:55 PM

Change 308910 had a related patch set uploaded (by Jdlrobson):
Treat list items as inline

https://gerrit.wikimedia.org/r/308910

phuedx assigned this task to Jdlrobson.Sep 7 2016, 5:31 AM

@ovasileva
This could use a priority. We should estimate when possible, too.

FYI Jenkins failures are due to T145144

ovasileva triaged this task as High priority.Sep 9 2016, 12:39 PM
MBinder_WMF set the point value for this task to 1.Sep 12 2016, 4:19 PM

This is also blocked on T145227. @Jdlrobson's patch has +1s from both @bmansurov and @jhobs.

Change 308910 merged by jenkins-bot:
Treat list items as inline

https://gerrit.wikimedia.org/r/308910

phuedx reassigned this task from Jdlrobson to Jhernandez.Sep 14 2016, 9:00 AM
phuedx added a subscriber: Jhernandez.

@Jdlrobson: Is there a set of pages that @Jhernandez/@ovasileva can use to test and sign off on your change?

Why is this in needs QA without QA steps? Isn't needs QA for TSG?

cc/ @MBinder_WMF

@Jhernandez @Jdlrobson Yes, Needs QA is a queue for the TSG to QA a task. If there are not steps to do so, they will likely reject it on those grounds, and explain that they can't test it. :)

I'm a little confused with how this stuff works. Should needs signoff column be before this? This probably needs QA but I havent had time to write a test plan. It's on my to-do list.

@Jdlrobson The presumption is that the task is not ready for signoff (by the PO) until it has passed QA. Designing test criteria can happen at any time before arriving at Needs QA. Is the confusion that "Needs QA" could be misconstrued as "needs anything related to QA, including writing the tests"?

ovasileva added a comment.EditedSep 19 2016, 8:56 PM

So throwing this back to needs more work for testing criteria

@ovasileva so I've been thinking about this (cc @MBinder_WMF) and I'm not sure what good QA will do here while this is not riding production. I could create some sample articles, which I've done, but at that point I'm doing the QA myself and it doesn't seem helpful to ask someone to check the same.

What I really need is exploratory testing on the production cluster, which we should do when the related and high priority bug fix T145222 is merged and swatted.

I've manually tested and verified this myself on the beta cluster:
Flag images now appear inline with text on https://en.m.wikipedia.beta.wmflabs.org/wiki/Flag_images

Do the specialist guild provide exploratory testing? If so I suggest we do that as part of sign off of T145222

Do the specialist guild provide exploratory testing? If so I suggest we do that as part of sign off of T145222

Yes, I believe exploratory testing is possible. CC @Andy.tsg @Nicholas.tsg

ovasileva closed this task as Resolved.Sep 21 2016, 10:24 AM